Warehouse - Create V2
curl --request POST \
--url https://api.skulabs.com/warehouse/create_v2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Main Warehouse",
"type": "<string>",
"address": {
"address": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"company": "<string>",
"name": "<string>"
},
"is_default": true
}
'import requests
url = "https://api.skulabs.com/warehouse/create_v2"
payload = {
"name": "Main Warehouse",
"type": "<string>",
"address": {
"address": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"company": "<string>",
"name": "<string>"
},
"is_default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Main Warehouse',
type: '<string>',
address: {
address: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country_code: '<string>',
phone: '<string>',
company: '<string>',
name: '<string>'
},
is_default: true
})
};
fetch('https://api.skulabs.com/warehouse/create_v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"_id": "507f1f77bcf86cd799439011"
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Warehouse
Warehouse - Create V2
Create a new warehouse using the latest creation endpoint with enhanced options.
POST
/
warehouse
/
create_v2
Warehouse - Create V2
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I